package cc.winboll.studio.appbase;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Toast;
import android.widget.Toolbar;
import cc.winboll.studio.appbase.R;
import cc.winboll.studio.libappbase.LogActivity;
import cc.winboll.studio.libappbase.ToastUtils;

public class MainActivity extends Activity {

    public static final String TAG = "MainActivity";

    Toolbar mToolbar;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ToastUtils.show("onCreate");
        setContentView(R.layout.activity_main);

        mToolbar = findViewById(R.id.toolbar);
        setActionBar(mToolbar);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.toolbar_main, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
			case R.id.item_home : {
					openWebsiteInBrowser(this);
				}
		}
        // 在switch语句中处理每个ID，并在处理完后返回true，未处理的情况返回false。
        return super.onOptionsItemSelected(item);
    }

    public void onCrashTest(View view) {
		for (int i = Integer.MIN_VALUE; i < Integer.MAX_VALUE; i++) {
			getString(i);
		}
    }

    public void onLogTest(View view) {
        LogActivity.startLogActivity(this);
    }

	/**
	 * 唤起默认浏览器打开指定网站
	 * @param context 上下文（如 Activity.this）
	 */
	public void openWebsiteInBrowser(Context context) {
		// 目标网站地址
		String url = "https://www.winboll.cc";
		// 构建打开浏览器的意图
		Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(url));
		// 设置标志：避免创建新的任务栈（可选，按需求调整）
		intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		context.startActivity(intent);
		
	}
}
